<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace SLAModule\Lib;


use App\Lib\PluginAclDependencies;

class AclDependencies extends PluginAclDependencies {

    public function __construct() {
        parent::__construct();

        // Add actions that should always be allowed.
        $this
            ->allow('Slas', 'slaWidget')
            ->allow('Slas', 'slaCalendarWidget')
            ->allow('Slas', 'slaSummaryWidget')
            ->allow('Slas', 'slasSummaryWidget');

        ///////////////////////////////
        //    Add dependencies       //
        //////////////////////////////

        $this
            ->dependency('Slas', 'index', 'Slas', 'loadSlas')
            ->dependency('Slas', 'add', 'Slas', 'timeperiodDetailsTooltip')
            ->dependency('Slas', 'edit', 'Slas', 'timeperiodDetailsTooltip')
            ->dependency('Slas', 'viewDetails', 'Slas', 'slaAvailabilityOverview')
            ->dependency('Slas', 'viewDetails', 'Slas', 'slaHostsOverview');

        $this
            ->dependency('HostMappingRules', 'assignToHosts', 'HostMappingRules', 'loadHostsBySlaId');

    }
}
