<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace SLAModule\Lib;


use itnovum\openITCOCKPIT\Core\ListSettingsConditions;

class SlaStatusLogConditions extends ListSettingsConditions {

    /**
     * @var array
     */
    protected $order = [
        'evaluation_start' => 'DESC'
    ];

    /**
     * @var string
     */
    protected $id;

    /**
     * @var bool
     */
    private $useLimit = true;


    /**
     * @param string $id
     */
    public function setId($id) {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getId() {
        return $this->id;
    }

    /**
     * @param bool $value
     */
    public function setUseLimit($value) {
        $this->useLimit = (bool)$value;
    }

    /**
     * @return bool
     */
    public function getUseLimit() {
        return $this->useLimit;
    }
}
