<?php
declare(strict_types=1);

namespace SLAModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * SlaAvailabilityStatusHostsLogFixture
 */
class SlaAvailabilityStatusHostsLogFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 1,
                'host_id' => 1,
                'sla_id' => 1,
                'minimal_availability_percent' => 1,
                'determined_availability_percent' => 1,
                'total_time' => 1,
                'minimal_availability_time' => 1,
                'determined_availability_time' => 1,
                'determined_outage_time' => 1,
                'determined_number_outages' => 1,
                'evaluation_start' => '2022-11-07 07:41:58',
                'evaluation_end' => '2022-11-07 07:41:58',
                'created' => '2022-11-07 07:41:58',
            ],
        ];
        parent::init();
    }
}
