<?php
declare(strict_types=1);

namespace SLAModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * SlaServiceOutagesFixture
 */
class SlaServiceOutagesFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'host_id' => 1,
                'service_id' => 1,
                'sla_availability_status_services_log_id' => 1,
                'start_time' => 1,
                'end_time' => 1,
                'output' => 'Lorem ipsum dolor sit amet',
                'is_hardstate' => 1,
                'in_downtime' => 1,
            ],
        ];
        parent::init();
    }
}
