<?php
declare(strict_types=1);

namespace SLAModule\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use SLAModule\Model\Table\HostMappingRulesTable;

/**
 * SLAModule\Model\Table\HostMappingRulesTable Test Case
 */
class HostMappingRulesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \SLAModule\Model\Table\HostMappingRulesTable
     */
    protected $HostMappingRules;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'plugin.SLAModule.HostMappingRules',
        'plugin.SLAModule.Slas',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('HostMappingRules') ? [] : ['className' => HostMappingRulesTable::class];
        $this->HostMappingRules = $this->getTableLocator()->get('HostMappingRules', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->HostMappingRules);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \SLAModule\Model\Table\HostMappingRulesTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \SLAModule\Model\Table\HostMappingRulesTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
