<?php
declare(strict_types=1);

namespace SLAModule\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable;

/**
 * SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable Test Case
 */
class SlaAvailabilityStatusServicesLogTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable
     */
    protected $SlaAvailabilityStatusLogServices;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'plugin.SLAModule.SlaAvailabilityStatusLogServices',
        'plugin.SLAModule.Hosts',
        'plugin.SLAModule.Services',
        'plugin.SLAModule.Slas',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('SlaAvailabilityStatusLogServices') ? [] : ['className' => SlaAvailabilityStatusServicesLogTable::class];
        $this->SlaAvailabilityStatusLogServices = $this->getTableLocator()->get('SlaAvailabilityStatusLogServices', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->SlaAvailabilityStatusLogServices);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test calculateAvailabilityForService method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaAvailabilityStatusServicesLogTable::calculateAvailabilityForService()
     */
    public function testCalculateAvailabilityForService(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
