openITCOCKPIT.config(function($stateProvider){

    $stateProvider
        .state('SlasIndex', {
            url: '/sla_module/slas/index',
            templateUrl: "/sla_module/slas/index.html",
            controller: "SlasIndexController"
        })
        .state('SlasAdd', {
            url: '/sla_module/slas/add',
            templateUrl: '/sla_module/slas/add.html',
            controller: 'SlasAddController'
        })
        .state('SlasEdit', {
            url: '/sla_module/slas/edit/:id',
            templateUrl: '/sla_module/slas/edit.html',
            controller: 'SlasEditController'
        })
        .state('SlasHosts', {
            url: '/sla_module/slas/hosts/:id',
            templateUrl: '/sla_module/slas/hosts.html',
            controller: 'SlasHostsController'
        })
        .state('SlasViewDetails', {
            url: '/sla_module/slas/viewDetails/:id',
            templateUrl: '/sla_module/slas/viewDetails.html',
            controller: 'SlasViewDetailsController'
        })
        .state('HostMappingRules', {
            url: '/sla_module/host_mapping_rules/assignToHosts/:id',
            templateUrl: '/sla_module/host_mapping_rules/assignToHosts.html',
            controller: 'HostMappingRulesController'
        })
        .state('SlaSettingsIndex', {
            url: '/sla_module/sla_settings/index',
            templateUrl: '/sla_module/sla_settings/index.html',
            controller: 'SlaSettingsIndexController'
        })
        .state('SlaAvailabilityStatusHostsLog', {
            url: '/sla_module/sla_availability_status_hosts_log/index/:id',
            params: {
                from: {
                    value: null,
                    squash: true
                },
                to: {
                    value: null,
                    squash: true
                }
            },
            templateUrl: '/sla_module/sla_availability_status_hosts_log/index.html',
            controller: 'SlaAvailabilityStatusHostsLogIndexController'
        })
        .state('SlaAvailabilityStatusServicesLog', {
            url: '/sla_module/sla_availability_status_services_log/index/:id',
            params: {
                from: {
                    value: null,
                    squash: true
                },
                to: {
                    value: null,
                    squash: true
                }
            },
            templateUrl: '/sla_module/sla_availability_status_services_log/index.html',
            controller: 'SlaAvailabilityStatusServicesLogIndexController'
        })
        .state('SlasGenerateReport', {
            url: '/sla_module/slas/generate/:id',
            templateUrl: '/sla_module/slas/generate.html',
            controller: 'SlasGenerateReportController'
        });
});
