<?php
declare(strict_types=1);

namespace SLAModule\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use SLAModule\Model\Table\SlaAvailabilityStatusServicesTable;

/**
 * SLAModule\Model\Table\SlaAvailabilityStatusServicesTable Test Case
 */
class SlaAvailabilityStatusServicesTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \SLAModule\Model\Table\SlaAvailabilityStatusServicesTable
     */
    protected $SlaAvailabilityStatusServices;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'plugin.SLAModule.SlaAvailabilityStatusServices',
        'plugin.SLAModule.Hosts',
        'plugin.SLAModule.Services',
        'plugin.SLAModule.Slas',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('SlaAvailabilityStatusServices') ? [] : ['className' => SlaAvailabilityStatusServicesTable::class];
        $this->SlaAvailabilityStatusServices = $this->getTableLocator()->get('SlaAvailabilityStatusServices', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->SlaAvailabilityStatusServices);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaAvailabilityStatusServicesTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaAvailabilityStatusServicesTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
