<?php
declare(strict_types=1);

namespace SLAModule\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use SLAModule\Model\Table\SlaSettingsTable;

/**
 * SLAModule\Model\Table\SlaSettingsTable Test Case
 */
class SlaSettingsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \SLAModule\Model\Table\SlaSettingsTable
     */
    protected $SlaSettings;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'plugin.SLAModule.SlaSettings',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('SlaSettings') ? [] : ['className' => SlaSettingsTable::class];
        $this->SlaSettings = $this->getTableLocator()->get('SlaSettings', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->SlaSettings);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlaSettingsTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
