<?php
declare(strict_types=1);

namespace SLAModule\Test\TestCase\Model\Table;

use Cake\TestSuite\TestCase;
use SLAModule\Model\Table\SlasTable;

/**
 * SLAModule\Model\Table\SlasTable Test Case
 */
class SlasTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \SLAModule\Model\Table\SlasTable
     */
    protected $Slas;

    /**
     * Fixtures
     *
     * @var array<string>
     */
    protected $fixtures = [
        'plugin.SLAModule.Slas',
        'plugin.SLAModule.Containers',
        'plugin.SLAModule.Timeperiods',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('Slas') ? [] : ['className' => SlasTable::class];
        $this->Slas = $this->getTableLocator()->get('Slas', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->Slas);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlasTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \SLAModule\Model\Table\SlasTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
