angular.module('openITCOCKPIT')
    .controller('SlaSettingsIndexController', function($scope, $http, NotyService, $state, RedirectService){
        $scope.init = true;

        $scope.post = {
            max_age: 53
        };

        $scope.load = function(){
            $http.get('/sla_module/sla_settings/index.json', {
                params: {
                    'angular': true,
                }
            }).then(function(result){
                $scope.post = result.data.sla_settings;
                $scope.init = false;

                setTimeout(function(){
                    jQuery("[rel=tooltip]").tooltip()
                }, 250);

            });
        };


        $scope.submit = function(){
            $http.post('/sla_module/sla_settings/index.json?angular=true',
                $scope.post
            ).then(function(result){
                NotyService.genericSuccess();
                RedirectService.redirectWithFallback('SlaSettingsIndex');
                $scope.errors = null;
                console.log('Data saved successfully');
            }, function errorCallback(result){
                NotyService.genericError();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };


        //Fire on page load
        $scope.load();
    });
